{#
/**
 * @file
 * Theme override for a views mini-pager.
 *
 * Available variables:
 * - heading_id: Pagination heading ID.
 * - items: List of pager items.
 *
 * @see template_preprocess_views_mini_pager()
 */
#}
{% if items.previous or items.next %}
  <nav class="pager" role="navigation" aria-labelledby="{{ heading_id }}">
    <h4 id="{{ heading_id }}" class="pager__heading visually-hidden tw-sr-only">{{ 'Pagination'|t }}</h4>
    <ul class="pager__items js-pager__items tw-flex tw-items-center">
      {% if items.previous %}
        {% apply spaceless %}
          <li class="pager__item pager__item--previous">
            <a href="{{ items.previous.href }}" title="{{ 'Go to previous page'|t }}" rel="prev"{{ items.previous.attributes.addClass('tw-no-underline')|without('href', 'title', 'rel') }}>
              <span class="visually-hidden  tw-sr-only">{{ 'Previous page'|t }}</span>
              <svg class="tw-w-5 tw-h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M12.707 5.293a1 1 0 010 1.414L9.414 10l3.293 3.293a1 1 0 01-1.414 1.414l-4-4a1 1 0 010-1.414l4-4a1 1 0 011.414 0z" clip-rule="evenodd"></path></svg>
              {% if items.previous.text %}
                <span aria-hidden="true">{{ items.previous.text|default('Previous'|t) }}</span>
              {% endif %}
            </a>
          </li>
        {% endapply %}
      {% else %}
        <li aria-hidden="true" class="pager__item tw-text-gray-200 tw-cursor-not-allowed">
          <svg class="tw-w-5 tw-h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M12.707 5.293a1 1 0 010 1.414L9.414 10l3.293 3.293a1 1 0 01-1.414 1.414l-4-4a1 1 0 010-1.414l4-4a1 1 0 011.414 0z" clip-rule="evenodd"></path></svg>
        </li>
      {% endif %}
      {% if items.current %}
        <li class="pager__item is-active tw-sr-only">
          {% trans %}
            Page {{ items.current }}
          {% endtrans %}
        </li>
      {% endif %}
      {% if items.next %}
        {% apply spaceless %}
          <li class="pager__item pager__item--next">
            <a href="{{ items.next.href }}" title="{{ 'Go to next page'|t }}" rel="next"{{ items.next.attributes.addClass('tw-no-underline')|without('href', 'title', 'rel') }}>
              <span class="visually-hidden  tw-sr-only">{{ 'Next page'|t }}</span>
              {% if items.next.text %}
                <span aria-hidden="true">{{ items.next.text|default('Next'|t) }}</span>
              {% endif %}
              <svg class="tw-w-5 tw-h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M7.293 14.707a1 1 0 010-1.414L10.586 10 7.293 6.707a1 1 0 011.414-1.414l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414 0z" clip-rule="evenodd"></path></svg>
            </a>
          </li>
        {% endapply %}
      {% else %}
        <li aria-hidden="true" class="pager__item tw-text-gray-200 tw-cursor-not-allowed">
          <svg class="tw-w-5 tw-h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M7.293 14.707a1 1 0 010-1.414L10.586 10 7.293 6.707a1 1 0 011.414-1.414l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414 0z" clip-rule="evenodd"></path></svg>
        </li>
      {% endif %}
    </ul>
  </nav>
{% endif %}
